## mingw-w64-python-pip-tools-7.5.2-1.src.tar.zst

=== docs/requirements.txt ===
#
# This file is autogenerated by pip-compile with Python 3.13
# by the following command:
#
#    pip-compile --allow-unsafe --output-file=docs/requirements.txt --strip-extras ./pyproject.toml docs/requirements.in
#
alabaster==0.7.13
    # via sphinx
babel==2.12.1
    # via sphinx
beautifulsoup4==4.12.2
    # via furo
build==1.3.0
    # via pip-tools (pyproject.toml)
certifi==2024.7.4
    # via requests
charset-normalizer==3.2.0
    # via requests
click==8.2.1
    # via
    #   pip-tools (pyproject.toml)
    #   towncrier
docutils==0.20.1
    # via
    #   myst-parser
    #   sphinx
furo==2023.8.17
    # via -r docs/requirements.in
idna==3.7
    # via requests
imagesize==1.4.1
    # via sphinx
jinja2==3.1.6
    # via
    #   myst-parser
    #   sphinx
    #   towncrier
markdown-it-py==3.0.0
    # via
    #   mdit-py-plugins
    #   myst-parser
markupsafe==2.1.3
    # via jinja2
mdit-py-plugins==0.4.0
    # via myst-parser
mdurl==0.1.2
    # via markdown-it-py
myst-parser==2.0.0
    # via -r docs/requirements.in
packaging==23.1
    # via
    #   build
    #   setuptools-scm
    #   sphinx
pbr==6.0.0
    # via sphinxcontrib-apidoc
pygments==2.16.1
    # via
    #   furo
    #   sphinx
pyproject-hooks==1.2.0
    # via
    #   build
    #   pip-tools (pyproject.toml)
pyyaml==6.0.1
    # via myst-parser
requests==2.32.4
    # via sphinx
setuptools-scm==7.1.0
    # via -r docs/requirements.in
snowballstemmer==2.2.0
    # via sphinx
soupsieve==2.4.1
    # via beautifulsoup4
sphinx==7.2.6
    # via
    #   -r docs/requirements.in
    #   furo
    #   myst-parser
    #   sphinx-basic-ng
    #   sphinx-issues
    #   sphinxcontrib-apidoc
    #   sphinxcontrib-applehelp
    #   sphinxcontrib-devhelp
    #   sphinxcontrib-htmlhelp
    #   sphinxcontrib-programoutput
    #   sphinxcontrib-qthelp
    #   sphinxcontrib-serializinghtml
    #   sphinxcontrib-towncrier
sphinx-basic-ng==1.0.0b2
    # via furo
sphinx-issues==5.0.1
    # via -r docs/requirements.in
sphinxcontrib-apidoc==0.5.0
    # via -r docs/requirements.in
sphinxcontrib-applehelp==1.0.7
    # via sphinx
sphinxcontrib-devhelp==1.0.5
    # via sphinx
sphinxcontrib-htmlhelp==2.0.4
    # via sphinx
sphinxcontrib-jsmath==1.0.1
    # via sphinx
sphinxcontrib-programoutput==0.17
    # via -r docs/requirements.in
sphinxcontrib-qthelp==1.0.6
    # via sphinx
sphinxcontrib-serializinghtml==1.1.10
    # via sphinx
sphinxcontrib-towncrier==0.5.0a0
    # via -r docs/requirements.in
towncrier==24.8.0
    # via sphinxcontrib-towncrier
typing-extensions==4.7.1
    # via setuptools-scm
urllib3==2.5.0
    # via requests
wheel==0.45.1
    # via pip-tools (pyproject.toml)

# The following packages are considered to be unsafe in a requirements file:
pip==25.1
    # via pip-tools (pyproject.toml)
setuptools==78.1.1
    # via
    #   pip-tools (pyproject.toml)
    #   setuptools-scm
